h33168
s 00030/00000/00000
d D 1.1 82/08/02 15:58:00 cecily 1 0
e
u
U
t
T
I 1
# include "refer..c"
static char ahead[1000];
static int peeked 0;
static int noteof 1;
input (s)
	char *s;
{
if (peeked)
	{
	peeked=0;
	if (noteof==0) return(0);
	strcpy (s, ahead);
	return(s);
	}
return(fgets(s, 1000, in));
}
lookat()
{
if (peeked) return(ahead);
noteof=input(ahead);
peeked=1;
return(noteof);
}
addch(s, c)
	char *s;
{
while (*s) s++;
*s++ = c;
*s = 0;
}
E 1
